Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.event
Class TaskEventKey

    java.lang.Object
      org.jbpm.task.event.TaskEventKey

All Implemented Interfaces:
  Externalizable, Serializable, EventKey

    public class TaskEventKey

extends Object
implements EventKey, Externalizable

See Also:
  Serialized Form

Constructor Summary
`TaskEventKey()`
`TaskEventKey(Class<? extends TaskEvent> event, long taskId)`

Method Summary
`boolean` | `equals(Object obj)`
`Class<? extends TaskEvent>` | `getEvent()`
`long` | `getTaskId()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskEventKey

    public TaskEventKey()

### TaskEventKey

    public TaskEventKey(Class<? extends TaskEvent> event,
                        long taskId)

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getEvent

    public Class<? extends TaskEvent> getEvent()

### getTaskId

    public long getTaskId()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.